Package com.documentum.fc.client

# Interface IDfForeignKey

All Superinterfaces:
  `IDfPersistentObject`, `IDfRelationType`, `IDfTypedObject`

public interface IDfForeignKey extends IDfRelationType

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

  ### Fields inherited from interface com.documentum.fc.client.IDfRelationType

  `CHILD, COPY_CHILD, NONE, PARENT, REFERENCE_CHILD, SYSTEM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChildAttribute(int index)`
  Returns the child key property for the foreign key at the specified index.
  `int`
  `getChildAttributesCount()`
  Returns the number child key properties for the foreign key.
  `String`
  `getParentAttribute(int index)`
  Returns the parent key property for the foreign key at the specified index.
  `int`
  `getParentAttributesCount()`
  Returns the number of parent key properties for the foreign key.

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfRelationType

  `getChildType, getControllingKind, getCopyBehavior, getDescription, getParentType, getPermanentLink, getRelationName, getSecurityType, setChildType, setControllingKind, setCopyBehavior, setDescription, setParentType, setPermanentLink, setRelationName, setSecurityType`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getParentAttributesCount

    int getParentAttributesCount() throws DfException
    Returns the number of parent key properties for the foreign key.
    Returns:
      the number parent key properties
    Throws:
      `DfException` - if a server error occurs

  - ### getParentAttribute

    String getParentAttribute(int index) throws DfException
    Returns the parent key property for the foreign key at the specified index.
    Parameters:
      `index` - index of the attribute
    Returns:
      returns the property at that index
    Throws:
      `DfException` - if a server error occurs.

  - ### getChildAttributesCount

    int getChildAttributesCount() throws DfException
    Returns the number child key properties for the foreign key.
    Returns:
      the number child key properties
    Throws:
      `DfException` - if a server error occurs

  - ### getChildAttribute

    String getChildAttribute(int index) throws DfException
    Returns the child key property for the foreign key at the specified index.
    Parameters:
      `index` - index of the attribute
    Returns:
      returns the child property at that index
    Throws:
      `DfException` - if a server error occurs.